#
# spec file for package golang-org-x-image
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Graham Anderson <graham.anderson@gmail.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-org-x-image
Version:        1.0.3+git20150901.b3d8467
Release:        1.1
Summary:        Go supplementary image libraries
License:        BSD-3-Clause
Group:          Development/Languages/Golang
Url:            https://github.com/golang/image
Source:         image-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:  xz
Provides:       go-image = %{version}
Obsoletes:      go-image < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
This repository holds supplementary Go image libraries.

%gosrc_package

%prep
%setup -q -n image-%{version}

%build
%goprep golang.org/x/image
%gobuild  ...

%install
%goinstall
%gosrc

%files
%defattr(-,root,root,-)
%doc CONTRIBUTING.md README LICENSE PATENTS
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Fri Jul  1 2016 toddrme2178@gmail.com
- Make Group tag consistent with other golang packages.
* Thu Sep 10 2015 i@marguerite.su
- Update to version 1.0.3+git20150901.b3d8467:
  + shiny/screen: new package.
  + shiny/font: new package for drawing text on an image.
  + colornames: new package for named colors
  + math/fixed: add I and P helper functions.
  + shiny/font/plan9font: implement ParseFont.
  + shiny/font: add Hinting, Stretch, Style and Weight option types.
  + math/fixed: add rectangle types and the R function.
  + shiny/font: add per-glyph metrics.
  + shiny/font: have Face.Glyph return an advance width, not a new dot.
  + shiny/font/plan9font: add an example test.
  + font: fix up some old x/exp/shiny references.
  + draw: tweak the YCbCr to RGBA conversion formula.
  + image/draw: have Transform take a f64.Aff3 instead of a *f64.Aff3.
  + vp8: split expression to placate 386 compiler
  + draw: skip TestFastPaths for Go 1.4.
  + draw: have Scale and Transform recognize straight copies.
  + math/fixed: new package.
  + draw: have Scale and Transform recognize straight copies.
  + math/fixed: add Point methods (Add, Sub, Mul, Div).
* Sun Jul 12 2015 i@marguerite.su
- rename to golang-org-x-image
- update version 1.0.3+git20150702.92cae9f
- use golang-packaging for packaging
* Sun Mar 22 2015 i@marguerite.su
- update version 1.0.3+git20150321.7eedc60
- source URL changed to github.com/golang/image
- import path changed to golang.org/x/image
- clean specfile
* Mon Nov 19 2012 graham@andtech.eu
- Update to hg6a42774d38e5
- tiff: new Options parameter for Encode.
- tiff: support writing files with differencing predictor.
* Tue Mar 13 2012 graham@andtech.eu
- Update to weekly.2012-03-13
- go.image/tiff: optimize reading uncompressed files from a tiff
  buffer.
- go.image/tiff: simplify encoding.
* Wed Mar  7 2012 graham@andtech.eu
- updade spec for new rpm macros
* Thu Mar  1 2012 graham@andtech.eu
- initial package
